- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Windowing::IToolTipSupportingWindow Interface Reference

Inheritance diagram for Exponent::GUI::Windowing::IToolTipSupportingWindow:

List of all members.

## Detailed Description

Specifies a window that can support a tooltip.

Date:
  18/03/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  IToolTipSupportingWindow.hpp,v 1.4 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file IToolTipSupportingWindow.hpp.

## Public Member Functions

- virtual IToolTip * getMutableToolTip () const=0
- virtual const IToolTip * getToolTip () const=0
- IToolTipSupportingWindow ()
- virtual void setToolTip (IToolTip *toolTip=NULL)=0
- virtual ~IToolTipSupportingWindow ()

## Constructor & Destructor Documentation

Exponent::GUI::Windowing::IToolTipSupportingWindow::IToolTipSupportingWindow | ( |  | ) | `[inline]`

Construction

Definition at line 44 of file IToolTipSupportingWindow.hpp.

virtual Exponent::GUI::Windowing::IToolTipSupportingWindow::~IToolTipSupportingWindow | ( |  | ) | `[inline, virtual]`

Destruction

Definition at line 49 of file IToolTipSupportingWindow.hpp.

## Member Function Documentation

virtual IToolTip* Exponent::GUI::Windowing::IToolTipSupportingWindow::getMutableToolTip | ( |  | ) | const`[pure virtual]`

Get the mutable tool tip

Return values:

  | IToolTip* | The tool tip

Implemented in Exponent::GUI::Windowing::CWindow.

virtual const IToolTip* Exponent::GUI::Windowing::IToolTipSupportingWindow::getToolTip | ( |  | ) | const`[pure virtual]`

Get the tool tip

Return values:

  | const | IToolTip* The tool tip

Implemented in Exponent::GUI::Windowing::CWindow.

virtual void Exponent::GUI::Windowing::IToolTipSupportingWindow::setToolTip | ( | IToolTip * | toolTip = `NULL` | ) | `[pure virtual]`

Set the tooltip to display

Parameters:

  | toolTip | The tool tip to display

Implemented in Exponent::GUI::Windowing::CWindow.